$(document).ready(function() {

	//fix the opened menu

	$("#main-nav .submenu.active").addClass("opened");
	$("#main-nav .submenu.active ul").show();


	// submenu navigation
    $('.submenu div , .submenu .arrow').click(function () {
        var btn = $(this).parent();

		if (btn.hasClass("opened")){
			btn.find("ul").slideUp();
			btn.removeClass("opened");
		} else {			

			$('.submenu:not(.active)').removeClass("opened");
			$('.submenu:not(.active)').find("ul").slideUp();
			btn.find("ul").slideDown();
			btn.addClass("opened");

		}
      });


	function mainHeight() {
		$("#main-nav").each(function() {
			var rightSectionHeight = $(this).next(".rightSection").height();
			$(this).css("height", rightSectionHeight);
		});
	}

	//mainHeight();

	$(window).resize(function() {
		//mainHeight();
	});


	$(".navbar-toggle").click(function() {
		$("body").toggleClass("fixed");

		if ($("body").hasClass("fixed")) {
			Cookies.set('hm', '0');
		} else {
			Cookies.set('hm', '1');
		}

		$("body").toggleClass("active-mobile");
	});

	//if no menu remove the collapsed
	if (!$("#main-nav").length) {
			$("#main-nav,body,.rightSection, .navbar-toggle .icon-bar").addClass("no-transition");
			//$("#main-nav").removeClass("active");
			$("body").removeClass("fixed");
			//$(".rightSection").removeClass("active");
			$(".navbar-toggle").remove();

	}

	$(".rightSection").click(function(){
		$("body").removeClass("active-mobile");
	});



	
	function initDropdownMenu() {
		$(".top-nav .dropdown-menu").each(function(){
			var $cnt = $(this).find("li").length;

			if( $cnt > 5) {
				$(this).addClass("menu-double");
			}
		});
	}initDropdownMenu();


	function BreadCrumbResize() {
		if ($(window).width() <= 500){

			$("#breadcrumb .dropdown .dropdown-menu").each(function() {
				var ListItemWidth = 42;

				var listItemPosition = $(this).parent('li').index();
				var lastPosition = ListItemWidth * listItemPosition;
				var listWidth = $(this).parents('.top-nav').outerWidth();

				$(this).css({'margin-left': -lastPosition, 'width': listWidth});
			});
			
		} 
	}BreadCrumbResize();

	$(window).resize(function(){
      BreadCrumbResize()
	});

});